<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('productos', function (Blueprint $table) {
            $table->dropColumn(['has_tickets', 'minimum_use_date', 'maximum_use_date']);
        });
        
        Schema::table('productos_variantes', function (Blueprint $table) {
            $table->boolean('has_tickets')->default(false);
            $table->dateTime('minimum_use_date')->nullable();
            $table->dateTime('maximum_use_date')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('productos', function (Blueprint $table) {
            $table->boolean('has_tickets')->default(false);
            $table->dateTime('minimum_use_date')->nullable();
            $table->dateTime('maximum_use_date')->nullable();
        });

        Schema::table('productos_variantes', function (Blueprint $table) {
            $table->dropColumn(['has_tickets', 'minimum_use_date', 'maximum_use_date']);
        });
    }
};
